# Laden des GPO-Moduls
import-module grouppolicy


###### Alte Gruppenrichtlinien deaktivieren

# Link zur alten Gruppenrichtlinie Aprof entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Aprof" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Aprof_W7" -Target "dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie AutoUpdate entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie AutoUpdate" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_AutoUpdate_W7" -Target "OU=schule,dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie Benutzer entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Benutzer" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer_W7" -Target "OU=schule,dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie Benutzer Extras entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Benutzer Extras" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer_W7_Extras" -Target "OU=schule,dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie Benutzer-NWB entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Benutzer-NWB" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer-NWB_W7" -Target "OU=schule,dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie Workstations entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Workstations" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Workstations_W7" -Target "OU=schule,dc=paedml-linux,dc=lokal"

# Link zur alten Gruppenrichtlinie Workstations Extras entfernen
Write-Host "Deaktiviere alte Gruppenrichtlinie Workstations Extras" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Workstations_W7_Extras" -Target "OU=schule,dc=paedml-linux,dc=lokal"


###### Neue Gruppenrichtlinien importieren und aktivieren

# Gruppenrichtlinie Klassenarbeit importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Klassenarbeit" -foregroundcolor green
Import-GPO -BackupId 127DE1ED-98C0-461E-9B3B-844B6FABF393 -TargetName Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata2\Gruppenrichtlinien

# Sicherheitsfilter fuer Gruppenrichtlinie Klassenarbeit setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Klassenarbeit" -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -TargetName "OUschule-Klassenarbeit" -TargetType Group -PermissionLevel GpoApply

# Link zur Gruppenrichtlinie Klassenarbeit erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Klassenarbeit" -foregroundcolor green
New-GPLink -Name Musterloesung_Klassenarbeit -Order 3 -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes


# Gruppenrichtlinie Computer importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Computer" -foregroundcolor green
Import-GPO -BackupId 5CD08FB8-DA3F-4D50-B6A9-BD8D6ACF5A8F -TargetName Musterloesung_Computer -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata2\Gruppenrichtlinien

# Sicherheitsfilter fuer Gruppenrichtlinie Computer setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Computer" -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Computer -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Computer -Domain paedml-linux.lokal -TargetName "OUschule-Windows-Edukativnetz" -TargetType Group -PermissionLevel GpoApply

# Link zur Gruppenrichtlinie Computer erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Computer" -foregroundcolor green
New-GPLink -Name Musterloesung_Computer -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes


# Gruppenrichtlinie Benutzer-NWB importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer-NWB" -foregroundcolor green
Import-GPO -BackupId 492CBE60-22E5-4786-B3CC-8D1D073EB9AD -TargetName Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata2\Gruppenrichtlinien

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer-NWB setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer-NWB" -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -TargetName "netzwerkberater" -TargetType User -PermissionLevel GpoApply

# Link zur Gruppenrichtlinie Benutzer-NWB erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer-NWB" -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer-NWB -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes


# Gruppenrichtlinie Benutzer importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer" -foregroundcolor green
Import-GPO -BackupId 7BDF3BB5-5020-4CE8-9B35-DF8F3D85054C -TargetName Musterloesung_Benutzer -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata2\Gruppenrichtlinien

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer" -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "schueler-schule" -TargetType Group -PermissionLevel GpoApply
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "lehrer-schule" -TargetType Group -PermissionLevel GpoApply

# Link zur Gruppenrichtlinie Benutzer erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer" -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes


# Gruppenrichtlinie Benutzer-Aprof importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer-Aprof" -foregroundcolor green
Import-GPO -BackupId 5F4F8F6C-BD01-4C46-AE19-2E55A01DD419 -TargetName Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata2\Gruppenrichtlinien

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer-Aprof setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer-Aprof" -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "aproflehrer" -TargetType User -PermissionLevel GpoApply
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "aprofschueler" -TargetType User -PermissionLevel GpoApply

# Link zur Gruppenrichtlinie Benutzer-Aprof erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer-Aprof" -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer-Aprof -Target "dc=paedml-linux,dc=lokal" -LinkEnabled Yes

###### Ende

# Fertig
Write-Host "Fertig!" -foregroundcolor green
Read-Host
