'**********************************************************************************************
'Peter Klein, LMZ-BW, 01.07.2014
'Erzeugung Desktop-Verknpfungen
'Methode 1: Programmatisch, siehe Beispiele Schulkonsole und MSPaint unten
'Methode 2: Kopiert von Vorlage-Profilen AProfLehrer und AProfSchueler (Standard)
'**********************************************************************************************
On Error Resume Next

Main

Sub Main()

	if IsLehrer() then 'Desktop-Links nur fr Lehrer
		if FolderExists("\\SERVER\AProfLehrer-Desktop") then
			if LnkExists("\\SERVER\AProfLehrer-Desktop") then
				CopyFolder "\\SERVER\AProfLehrer-Desktop\*.lnk", "H:\Desktop"
			end if
		end if
	end if


	if IsSchueler() then 'Desktop-Links nur fr Schler
		if FolderExists("\\SERVER\AProfSchueler-Desktop") then
			if LnkExists("\\SERVER\AProfSchueler-Desktop") then
				CopyFolder "\\SERVER\AProfSchueler-Desktop\*.lnk", "H:\Desktop"
			end if
		end if
	end if

	'Desktop-Links fr alle
	'CreateShortcut "Schulkonsole.lnk", "https://server.paedml-linux.lokal/univention-management-console/?lang=de-DE", "\\server\netlogon\lmz.ico"
	'CreateShortcut "MSPaint.lnk", "c:\windows\system32\mspaint.exe", "c:\windows\system32\mspaint.exe"

	'Entfernen UMC-Desktop-Verknpfung
	if FileExists("H:\Desktop\Univention Management Console.url") then
		DeleteFile("H:\Desktop\Univention Management Console.url")
	end if

End Sub

Sub CreateShortcut(LinkName, URL, IconLocation)
	Set WshShell = CreateObject("WScript.Shell")
	Desktop  = WshShell.SpecialFolders("Desktop")
	Set scut = WshShell.CreateShortcut(Desktop & "\" & LinkName)
	scut.TargetPath = URL
	scut.IconLocation = IconLocation
	scut.Save
End Sub

Function IsLehrer()
	IsLehrer = False
	Set SysInfo = CreateObject("ADSystemInfo")
	LehrerCN = Split(SysInfo.userName, ",")(1)
	If LCase(LehrerCN) = "cn=lehrer"   Then IsLehrer = True
	If Left(SysInfo.userName, 14) = "CN=aproflehrer" Then IsLehrer = False
End Function

Function IsSchueler()
	IsSchueler = False
	Set SysInfo = CreateObject("ADSystemInfo")
	SchuelerCN = Split(SysInfo.userName, ",")(1)
	If LCase(SchuelerCN) = "cn=schueler" Then IsSchueler = True
	If Left(SysInfo.userName, 16) = "CN=aprofschueler" Then IsSchueler = False
End Function

Function FolderExists(path)
	FolderExists = False
	Set fso = CreateObject("Scripting.FileSystemObject")
	If fso.FolderExists(path) = True Then FolderExists = True
End Function

Sub CopyFolder(srcPath, destPath)
	Set fso = CreateObject("Scripting.FileSystemObject")
	fso.CopyFile srcPath , destPath , True
End Sub

Sub DeleteFile(path)
   	Dim fso
	Set fso = CreateObject("Scripting.FileSystemObject")
   	fso.DeleteFile(path)
End Sub

Function FileExists(path)
	FileExists = False
	Set fso = CreateObject("Scripting.FileSystemObject")
	If fso.FileExists(path) = True Then FileExists = True
End Function

Function LnkExists(path)
	LnkExists = False
	Set fso = CreateObject("Scripting.FileSystemObject")
	Set folder = fso.GetFolder(path)
	For Each file in folder.Files
		If fso.GetExtensionName(file) = "lnk" Then LnkExists = True
	Next
End Function
